Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038441
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorhave not tried2018-04-25 09:032018-05-18 15:04
ReporterAugustoMauchView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in VersionRR18Q3
StatusclosedFix in branchFixed in SCM revision92cd7acd2ae6
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038441: The creationDate of the invoices is not set properly in the OrderLoader

DescriptionThere are two problems with how the creationDate of the invoices is set in the OrderLoader [1]:
- The timezone conversion is done the other way around. Instead of converting the given UTC date to the server timezone, it is converted to the client timezone. This is evident when the server is in another timezone. For instance, when an order with its invoice is created using the POS of this server [2], the creation date of the invoice will be set two hours into the future.
- If the clock of the server differs with the clock of the client, it is possible that the creationDate of the invoice will be a previous date than the updated date, which don't make sense


[1] https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/file/tip/src/org/openbravo/retail/posterminal/OrderLoader.java#l1135 [^]
[2] http://ec2-35-170-240-78.compute-1.amazonaws.com/openbravo/web/org.openbravo.retail.posterminal/?terminal=VBS-1#login [^]
Steps To Reproduce- Using the POS, create an order and its invoice in this server [1] from a computer in the CEST timezone.
- Go to the backend and check the audit fields of the invoice. Check that the creation date is wrong

[1] http://ec2-35-170-240-78.compute-1.amazonaws.com/openbravo/web/org.openbravo.retail.posterminal/?terminal=VBS-1#login [^]
TagsNo tags attached.
Attached Filesdiff file icon issue38441.diff [^] (957 bytes) 2018-04-25 09:11 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0104583)
hgbot (developer)
2018-05-18 06:50

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 92cd7acd2ae68c38385204b6129932386dc0afac
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu May 17 18:49:11 2018 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/92cd7acd2ae68c38385204b6129932386dc0afac [^]

Fixed issue 38441 : Invoice Creation date should be updated based on Server Time and Timezone

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---

- Issue History
Date Modified Username Field Change
2018-04-25 09:03 AugustoMauch New Issue
2018-04-25 09:03 AugustoMauch Assigned To => Retail
2018-04-25 09:03 AugustoMauch Triggers an Emergency Pack => No
2018-04-25 09:11 AugustoMauch File Added: issue38441.diff
2018-05-11 14:48 marvintm Severity minor => major
2018-05-16 14:45 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2018-05-16 14:45 ranjith_qualiantech_com Status new => scheduled
2018-05-18 06:50 hgbot Checkin
2018-05-18 06:50 hgbot Note Added: 0104583
2018-05-18 06:50 hgbot Status scheduled => resolved
2018-05-18 06:50 hgbot Resolution open => fixed
2018-05-18 06:50 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/92cd7acd2ae68c38385204b6129932386dc0afac [^]
2018-05-18 15:04 marvintm Review Assigned To => marvintm
2018-05-18 15:04 marvintm Status resolved => closed
2018-05-18 15:04 marvintm Fixed in Version => RR18Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker